Skip to content

Banned and Disqualified Persons

Request

Method: POST

URL: https://{{environment}}.ridx.io/asic/v1/check-banned-persons

Headers

Header Value
Content-Type application/json
token {{access_token}}

Request Body Parameters

Property Type Description
type String The check type of the search, can be "name" to search by a person, or "document" to search by an ASIC document number
firstName String First name of the person being searched. Only used when the type is "name"
middleName String Optional. Middle name of the person being searched. Only used when the type is "name"
lastName String Last name of the person being searched. Only used when the type is "name"
documentNumber String Optional. The document number to search by. Only used when the type is "document"

Important Response Data

Property Type Description
ResponseCode String Will be either Y (found a match), N (no match) or X (expired match)
rapidID String Check ID used for retrieving pdf report

Example Requests

{
  "type": "name",
  "firstName": "John",
  "lastName": "Smith"
}
{
  "type": "name",
  "firstName": "John",
  "lastName": "Snow"
}
{
  "type": "name",
  "firstName": "Jack",
  "lastName": "Son"
}
{
  "type": "name",
  "firstName": "John",
  "lastName": "Smith&"
}

Example Responses

{
  "ResponseCode": "Y",
  "message": "Details matched",
  "Matches": [
    {
      "Type": "AFS Banned & Disqualified",
      "DocumentNo": "#9826473932",
      "Commenced": "2012-11-27T00:00:00.000Z",
      "Ceased": "Permanent",
      "Address": {
        "Local": "CANNING VALE",
        "State": "WA",
        "Country": "AUSTRALIA"
      },
      "Comments": "No comment made"
    }
  ],
  "rapidID": "check-id"
}
{
  "ResponseCode": "N",
  "message": "Detail did not match",
  "Matches": [],
  "rapidID": "check-id"
}
{
  "ResponseCode": "X",
  "message": "Past Match",
  "Matches": [
    {
      "Type": "Banned Securities",
      "DocumentNo": "#5293785837",
      "Commenced": "29/03/1994",
      "Ceased": "29/03/1999 (Expired)",
      "Address": {
        "Local": "TEMPLESTOWE LOWER",
        "State": "VIC",
        "Country": "AUSTRALIA"
      },
      "Comments": "No comment made"
    }
  ],
  "rapidID": "check-id"
}
{
  "status": "400",
  "message": "lastName should only contain alphanumeric characters, hyphens, apostrophes and spaces"
}